require 'ci_helper/bitbucket/pull_request_page'

module CiHelper
  module Bitbucket

    def form_set(&block)
      block.call(pull_request_form)
    end

    def submit
      pull_request_form.submit
    end

    def set_form(form)
      pull_request_form.form = form
    end

    def pull_request_form
      @form ||= CiHelper::Bitbucket::PullRequestPage.new
    end
  end
end