require 'yaml'
module CiHelper
  # Responsible for create the setting file in the git repo
  class Installer
    attr_reader :target, :user_setting

    def initialize(target, user_setting)
      @target = target
      @user_setting = user_setting
    end

    def install_ci_helper_config
      ci_config_file = File.join(target, CiHelper::CONFIG_FILE_NAME)

      result = File.open(ci_config_file, 'w') { |f| f.write(user_setting.to_yaml)}
      puts 'initialize success You can run the monitor now ' if result
    end
  end
end