require 'ci_helper/redmine/issue_updater'

# when include this module you can set your issue updator and set the update form
# object.update_issue_page
module CiHelper
  module Redmine

    def issue_setting(&block)
      block.call(issue)
    end

    def issue_form=(form)
      issue.form = form
    end

    def submit
      issue.submit
    end

    def issue
      @issue ||= CiHelper::Redmine::IssueUpdater.new
    end
  end
end